 /*

 // Change de LED state each new pulsation of pushbutton
 
 The circuit:
 * LED attached from pin 7 to VCC
 * Pushbutton attached to pin 8 from +5V
 
 Created 2013
 By Rubén Saguar
 
 */

// constants won't change. 
// They're used here to set pin numbers:
const int buttonPin = 8;     // the number of the pushbutton pin
const int ledPin =  7;      // the number of the LED pin

// initialize variables:
int buttonState = 0;         // variable for reading the pushbutton status
int oldbuttonState = 0;      // last read pushbutton status
unsigned char ledState = HIGH;  // LED state ( ON -> LOW , OFF -> HIGH )

void setup() 
{
  // initialize the LED pin as an output:
  pinMode(ledPin, OUTPUT);    
  // initialize the pushbutton pin as an input:
  pinMode(buttonPin, INPUT);    
  digitalWrite(ledPin, ledState);  // turn LED off
}

void loop()
{
  // read pushbutton
  buttonState = digitalRead(buttonPin);
  
  // Change de LED state each new pulsation
  if ((oldbuttonState == 0) && (buttonState==1))
  { 
     digitalWrite(ledPin, ledState);
     ledState = !ledState;
  }
  // save old buttonState
  oldbuttonState = buttonState;
}
